package system

import (
	"github.com/gin-gonic/gin"
	v1 "miniapp/api/v1"
)

type AiKefuRouter struct {
}

// InitAiKefuRouterRouter 注册AI客服路由
func (s *AiKefuRouter) InitAiKefuRouterRouter(Router *gin.RouterGroup) {
	aiRouter := Router.Group("aikefu")

	aiKefuApi := v1.ApiGroupApp.SystemApiGroup.AiKefulApi

	{
		aiRouter.GET("list", aiKefuApi.GetAiKefuList)
		aiRouter.GET(":id", aiKefuApi.GetAiKefuById)
		aiRouter.DELETE("", aiKefuApi.DeleteAiKefu)
		aiRouter.PUT("", aiKefuApi.UpdateAiKefu)
		aiRouter.POST("", aiKefuApi.CreateAiKefu)
	}
}
